% Integrate a function using the trapezium rule with N steps
function value = integrateTrapezium( f, a, b, N )
h = (b-a)/N;
total = 0;
for i=1:N-1
    x = a + i*h;
    total = total + h*f(x);
end    
total = total + 0.5 * h*f(a);
total = total + 0.5 * h*f(b);
value = total;
end

